Skip to content
Permalink
Browse files

py-pymvpa: update dependencies

- add missing swig-python as build dependency
- add required scipy and nibabel dependencies
- remove unneeded setuptools dependency

Fixes: https://trac.macports.org/ticket/58796
See: https://trac.macports.org/ticket/51691
  • Loading branch information...
reneeotten committed Aug 7, 2019
1 parent 6ed07ea commit e53f025c347448135d14eb360da207a0a5f418d2
Showing with 6 additions and 3 deletions.
  1. +6 −3 python/py-pymvpa/Portfile
@@ -7,7 +7,7 @@ PortGroup python 1.0
github.setup PyMVPA PyMVPA 2.6.5 upstream/

name py-pymvpa
revision 0
revision 1
categories-append science math
platforms darwin
license MIT
@@ -34,9 +34,12 @@ checksums rmd160 6d208bb32a9546a7937595e8308665448cfb9f8a \

if {${name} ne ${subport}} {
depends_build-append \
port:py${python.version}-setuptools
port:swig-python

depends_lib-append port:py${python.version}-numpy \
port:libsvm
port:py${python.version}-scipy \
port:py${python.version}-nibabel \
port:libsvm \

This comment has been minimized.

Copy link
@jmroot

jmroot Aug 13, 2019

Member

Mind the trailing backslash. You get away with it in this case because the next line is blank, but it's easy to end up with something like "dependency not found: patchfiles-append" if that stops being the case.

This comment has been minimized.

Copy link
@reneeotten

reneeotten Aug 13, 2019

Author Contributor

true... thanks for pointing that out, corrected in 447ec0c


patchfiles-append patch-setup.py.diff

0 comments on commit e53f025

Please sign in to comment.
You can’t perform that action at this time.